package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFKDXInsuranceView {

    private Map<String, Object> params;
    
    public MWFKDXInsuranceView(Map<String, Object> params) {
        this.params = params;
    }

    public String rsInsuranceid() {
        return (String) params.get("RS_INSURANCEID");
    }

    public Long rsInsuranceinstkey() {
        return (Long) params.get("RS_INSURANCEINSTKEY");
    }

    public String rsInsuranceisactive() {
        return (String) params.get("RS_INSURANCEISACTIVE");
    }

    public String rsInsurancecontractnumber() {
        return (String) params.get("RS_INSURANCECONTRACTNUMBER");
    }

    public String rsAccountnumber() {
        return (String) params.get("RS_ACCOUNTNUMBER");
    }

    public String rsInsurancecreatebranchid() {
        return (String) params.get("RS_INSURANCECREATEBRANCHID");
    }

    public String rsInsurancecreatechannelid() {
        return (String) params.get("RS_INSURANCECREATECHANNELID");
    }

    public java.util.Date rsInsurancesigndate() {
        return (java.util.Date) params.get("RS_INSURANCESIGNDATE");
    }

    public java.util.Date rsInsurancestartdate() {
        return (java.util.Date) params.get("RS_INSURANCESTARTDATE");
    }

    public Double rsInsurancefeeamount() {
        return (Double) params.get("RS_INSURANCEFEEAMOUNT");
    }

    public String rsInsurancefeefrequency() {
        return (String) params.get("RS_INSURANCEFEEFREQUENCY");
    }

    public Double rsInsurancepricetotalamount() {
        return (Double) params.get("RS_INSURANCEPRICETOTALAMOUNT");
    }

    public java.util.Date rsInsuranceenddate() {
        return (java.util.Date) params.get("RS_INSURANCEENDDATE");
    }

    public java.util.Date rsInsurancecanceldate() {
        return (java.util.Date) params.get("RS_INSURANCECANCELDATE");
    }

    public String rsInsurancecancelchannelid() {
        return (String) params.get("RS_INSURANCECANCELCHANNELID");
    }

    public String rsInsurancecancelreasontype() {
        return (String) params.get("RS_INSURANCECANCELREASONTYPE");
    } 

}
